Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 90963 - Install Fails when RAID0 IDE partition is used
Install Fails when RAID0 IDE partition is used
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
9
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Jeremy Katz
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-05-15 16:15 EDT by Matt Schiros
Modified: 2007-04-18 12:53 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-04 23:14:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matt Schiros 2003-05-15 16:15:40 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.0)

Description of problem:
I have 3 IDE drives in my machine, and 1 CD-ROM.  During hte RedHat 9 
installation, I create a /, /boot, and swap partitions on hda, while hdb and 
hdc are partitioned into a RAID0 stripe.  When I go to install the OS after 
selecting hte packages I want, during the transfer of the install image to the 
hard drive, I get a "not enough hard drive space" error, and anaconda dumps.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Create a RAID0 partition between two drives (assign a mount point)
2.Attempt to install RedHat9
3.Cry
    

Actual Results:  as expected, anaconda crashed.

Expected Results:  it should have installed correctly.

Additional info:
Comment 1 Michael Fulbright 2003-05-16 11:53:08 EDT
Could you please attach the error dump?

What sizes did you choose for each filesystem?
Comment 2 Matt Schiros 2003-05-16 13:11:14 EDT
The /boot partition was 100 MB (assigned automatically by anaconda), the / 
partition was 50 GB, the swap partition was 1 GB, and the RAID0 partition was 
120 GB (or close to it).
Comment 3 Michael Fulbright 2003-05-20 14:58:48 EDT
Could you please attach the error dump?
Comment 4 Matt Schiros 2003-05-21 09:14:14 EDT
I would, but the machine i was doing it on a.) has no floppy, and b.) now has 
redhat 8 on it.  Sorry.
Comment 5 Michael Fulbright 2003-05-22 12:07:01 EDT
Mike can you try to duplicate this failure on a large RAID-0 configuration?
Comment 6 Jeremy Katz 2004-10-04 23:14:01 EDT
This should be fine in current releases.

Note You need to log in before you can comment on or make changes to this bug.